Công cụ Văn bản & Danh sách
Dọn sạch, so sánh và đo lường nội dung mà không tải dữ liệu đang làm việc lên.
Đặt giữa các dòng văn bản
Căn giữa mọi dòng trong một độ rộng chính xác theo số ký tự Unicode, đồng thời giữ nguyên các dòng trống và từ chối việc cắt ngắn gây mất dữ liệu.
Mở công cụ →Xóa tiền tố khỏi các từ
Xóa một đoạn đầu chính xác khỏi các từ Unicode khớp và giữ nguyên dấu câu, khoảng trắng và các từ không khớp.
Mở công cụ →Xóa hậu tố khỏi từ
Loại bỏ đúng một phần đuôi cuối cùng khỏi các từ Unicode khớp mà không làm phẳng các dấu phân tách hoặc sửa đổi những từ không mang hậu tố đó.
Mở công cụ →Chèn dấu phân cách giữa các ký tự
Đặt một dấu phân tách đã chọn giữa các mã Unicode mà không tách các cặp surrogate như emoji thành các nửa không hợp lệ.
Mở công cụ →Trích dẫn mọi dòng văn bản
Bao từng dòng trong dấu ngoặc kép kép, dấu nháy đơn hoặc dấu backtick, đồng thời giữ nguyên các dòng trống và thứ tự dòng ban đầu.
Mở công cụ →Xóa dấu ngoặc kép khỏi các dòng văn bản
Xóa một cặp dấu ngoặc kép bao ngoài cân bằng khỏi mỗi dòng bằng cách sử dụng khớp kiểu ngoặc kép tự động hoặc rõ ràng.
Mở công cụ →Trích dẫn từng từ
Bao quanh mỗi token từ Unicode bằng một ký tự dấu ngoặc kép đã chọn trong khi vẫn giữ nguyên dấu phẩy, dấu câu và khoảng trắng gốc.
Mở công cụ →Xóa dấu ngoặc kép khỏi từ
Bỏ dấu ngoặc kép từng từ Unicode được trích dẫn riêng lẻ khi cả hai dấu ngoặc kép khớp nhau, mà không xóa các dấu ngoặc kép không liên quan khỏi văn xuôi.
Mở công cụ →Chuẩn hóa dòng trống
Giới hạn số hàng trống liên tiếp đến đúng mức tối đa trong khi giữ nguyên thụt lề và mọi dòng không trống.
Mở công cụ →Chuyển đổi dấu cách thành dấu dòng mới
Chuyển mỗi token được phân tách bằng khoảng trắng thành một dòng và gộp các khoảng trắng, tab và ngắt dòng hiện có lặp lại một cách xác định.
Mở công cụ →Chuyển đổi dòng mới thành dấu cách
Kết nối các dòng văn bản không rỗng bằng một dấu phân cách có thể cấu hình, đồng thời chỉ cắt bỏ khoảng trắng bên ngoài của từng hàng.
Mở công cụ →Trình phân tích tần suất từ
Xếp hạng các từ Unicode theo số lần xuất hiện với độ dài tối thiểu, giới hạn kết quả và so sánh phân biệt chữ hoa chữ thường có thể điều chỉnh.
Mở công cụ →Sắp xếp các chữ cái trong các từ
Sắp xếp các chữ cái và số Unicode bên trong từng từ một cách độc lập mà không di chuyển dấu câu hay chính các từ.
Mở công cụ →Sắp xếp tất cả ký tự văn bản
Sắp xếp mọi mã điểm Unicode trong toàn bộ đầu vào với tùy chọn loại bỏ khoảng trắng và hướng tăng dần hoặc giảm dần rõ ràng.
Mở công cụ →Số Văn bản Câu
Đặt mỗi câu được phát hiện trên một dòng được đánh số riêng, với giá trị bắt đầu có thể cấu hình và ba kiểu đánh dấu dễ đọc.
Mở công cụ →Số đoạn văn bản
Đánh số các đoạn văn được ngăn cách bằng dòng trống trong khi vẫn giữ nguyên các ngắt dòng nội bộ và định dạng của từng đoạn văn.
Mở công cụ →Công cụ tìm câu trùng lặp
Liệt kê các câu hoàn chỉnh lặp lại kèm số lần bằng cách so sánh phân biệt chữ hoa chữ thường hoặc không phân biệt chữ hoa chữ thường.
Mở công cụ →Trình trích xuất câu duy nhất
Giữ lần xuất hiện đầu tiên của mỗi câu hoàn chỉnh và xóa các bản trùng lặp sau đó theo một quy tắc phân biệt chữ hoa chữ thường có thể chọn.
Mở công cụ →Bộ mã hóa và giải mã văn bản Base32
Chuyển đổi văn bản UTF-8 sang Base32 chuẩn RFC 4648 hoặc giải mã nghiêm ngặt giá trị Base32 có đệm hoặc không có đệm.
Mở công cụ →Trình mã hóa và giải mã văn bản Base32hex
Mã hóa và giải mã UTF-8 với bảng chữ cái Base32 thập lục phân mở rộng được định nghĩa bởi RFC 4648 mục 7.
Mở công cụ →Mã hóa và giải mã văn bản Base45
Biến đổi văn bản UTF-8 bằng bảng chữ cái Base45 RFC 9285 компакт được dùng bởi các định dạng dữ liệu hướng QR.
Mở công cụ →Bộ mã hóa và giải mã văn bản Bitcoin Base58
Chuyển đổi các byte UTF-8 bằng bảng chữ cái Base58 của Bitcoin trong khi giữ nguyên chính xác các byte 0 ở đầu.
Mở công cụ →Bộ mã hóa và giải mã văn bản Ascii85
Mã hóa UTF-8 thành các nhóm Ascii85 gồm năm ký tự hoặc giải mã dữ liệu tương thích Adobe nghiêm ngặt với dấu phân cách tùy chọn và nén z.
Mở công cụ →Bộ mã hóa và giải mã văn bản có trích dẫn-có thể in
Mã hóa văn bản kiểu email UTF-8 thành quoted-printable theo RFC 2045 hoặc giải mã các ký tự thoát viết hoa đã được xác thực và các ngắt dòng đã được trình duyệt chuẩn hóa.
Mở công cụ →Không có công cụ phù hợp trên trang này.